{% import 'macros.html' as macros %}
<!DOCTYPE html>
<html>
  <head>
    <title>{% block title %}{% block subtitle %}libraryupgrader{% endblock %} - libup{% endblock %}</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="https://tools-static.wmflabs.org/cdnjs/ajax/libs/twitter-bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet">
  </head>
  <body>
    {% block content %}
    <nav class="navbar navbar-default">
      <div class="container-fluid">
        <!-- Brand and toggle get grouped for better mobile display -->
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1" aria-expanded="false">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="{{url_for('index')}}">LibUp</a>
        </div>

        <!-- Collect the nav links, forms, and other content for toggling -->
        <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
          <ul class="nav navbar-nav">
            <li><a href="{{url_for('status', branch=gbranch)}}">Status</a></li>
            <li><a href="{{url_for('library_index', branch=gbranch)}}">Libraries</a></li>
            <li><a href="{{url_for('r_index', branch=gbranch)}}">Repositories</a></li>
            <li><a href="{{url_for('errors', branch=gbranch)}}">Errors</a></li>
            <li><a href="{{url_for('vulns_npm', branch=gbranch)}}">npm vulnerabilities</a></li>
            <li><a href="{{url_for('vulns_composer', branch=gbranch)}}">composer vulnerabilities</a></li>
            <li class="dropdown">
              <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">Branch: {{gbranch}} <span class="caret"></span></a>
              <ul class="dropdown-menu">
                {% for branch in branches %}
                <li><a href="?branch={{branch}}">{{branch}}</a></li>
                {% endfor %}
              </ul>
            </li>
          </ul>
        </div><!-- /.navbar-collapse -->
      </div><!-- /.container-fluid -->
    </nav>
    <div class="container">
    {% block main %}{% endblock %}
    <a href="https://gitlab.wikimedia.org/repos/ci-tools/libup" target="_blank">Source code</a> is licensed under the <a href="https://www.gnu.org/licenses/agpl-3.0.html" target="_blank">AGPL</a>.
    </div>
    {% endblock %}
    <script src="https://tools-static.wmflabs.org/cdnjs/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
    <script src="https://tools-static.wmflabs.org/cdnjs/ajax/libs/twitter-bootstrap/3.3.7/js/bootstrap.min.js"></script>
  </body>
</html>
